%define fname	usb-modeswitch

Name:		usb_modeswitch
Summary:	Activating Switchable USB Devices on Linux
Version:	2.5.2
Release:	1
License:	GPLv2+
Group:		System/Configuration/Hardware
URL:		http://www.draisberghof.de/usb_modeswitch/
Source0:	http://www.draisberghof.de/usb_modeswitch/%{fname}-%{version}.tar.bz2
BuildRequires:	usb-compat-devel
Requires:	sysfsutils
Requires(pre):	tcl
Requires:	usb_modeswitch-data

%description
USB_ModeSwitch is a mode switching tool for controlling "flip flop"
(multiple device) USB gear.

Several new USB devices (especially high-speed wireless WAN stuff,
they're expensive anyway) have their Windows drivers onboard; when
plugged in for the first time they act like a flash storage and start
installing the driver from there. After that (and on every consecutive
plugging) this driver switches the mode internally, the storage device
vanishes (in most cases), and a new device (like an USB modem) shows
up. The WWAN gear maker Option calls that feature "ZeroCD (TM)".

%prep
%setup -qn %{fname}-%{version}

%build
%make CC=%{__cc} CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
%makeinstall_std \
	SYSDIR=$RPM_BUILD_ROOT%{_unitdir}

%files
/lib/udev/usb_modeswitch
%{_unitdir}/usb_modeswitch@.service
%{_sbindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/usb_modeswitch.conf

%changelog

* Sat May 19 2018 vladi105 <vladi105@mail.ru> 2.5.2-1
- (cede5f0) Merge pull request #3 from vladi105/usb_modeswitch:rosa2016.1
- (cede5f0) updated to version 2.5.2


